> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 갱신 결제

> 다음 결제일과 상관없이 현재 시점으로 구독을 갱신시킵니다. 결제가 진행되며, 구독 시작, 끝 시점이 갱신됩니다.



## OpenAPI

````yaml /steppay_v1.json post /api/v1/subscriptions/{id}/renew
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/subscriptions/{id}/renew:
    post:
      tags:
        - 구독 API
      summary: 구독 갱신 결제
      description: 다음 결제일과 상관없이 현재 시점으로 구독을 갱신시킵니다. 결제가 진행되며, 구독 시작, 끝 시점이 갱신됩니다.
      operationId: v1_renewSubscription
      parameters:
        - name: id
          in: path
          description: 구독 번호
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 정상적으로 갱신됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductApiresponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '404':
          description: 구독을 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/ApiResponseSubscriptionManualRenewResultDTO
components:
  schemas:
    ProductApiresponse:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          type: object
          description: 관련 데이터
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ApiResponseSubscriptionManualRenewResultDTO:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          $ref: '#/components/schemas/SubscriptionManualRenewResultDTO'
    ReturnError:
      type: object
    SubscriptionManualRenewResultDTO:
      type: object
      properties:
        orderId:
          type: integer
          format: int64
      description: 관련 데이터
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````